## NMDeviceInfiniband NMDeviceInfiniband |

## Functions

const char * | nm_device_infiniband_get_hw_address ()
gboolean | nm_device_infiniband_get_carrier ()

## Types and Values

#define | NM_DEVICE_INFINIBAND_HW_ADDRESS
#define | NM_DEVICE_INFINIBAND_CARRIER

## Description

## Functions

### nm_device_infiniband_get_hw_address ()

    const char *
    nm_device_infiniband_get_hw_address (NMDeviceInfiniband *device);

`nm_device_infiniband_get_hw_address` is deprecated and should not be used in newly-written code.

### nm_device_infiniband_get_carrier ()

    gboolean
    nm_device_infiniband_get_carrier (NMDeviceInfiniband *device);

## Types and Values

### NM_DEVICE_INFINIBAND_HW_ADDRESS

    #define NM_DEVICE_INFINIBAND_HW_ADDRESS "hw-address"

### NM_DEVICE_INFINIBAND_CARRIER

    #define NM_DEVICE_INFINIBAND_CARRIER    "carrier"